import Foundation

enum TrainingError: Error {
    
    case configurationFileMissing
    case configurationFileUnreadable
    case configurationFileDecodingFailed
    case invalidServerPath
    case mainImageFolderNotCreated
    case failedToLoadImages
    
    case failedToGetListOfImageFolders
    case failedToRemoveImageFolder
    
    case failedToGetClassifierVersion
    case invalidClassifierVersion(String)
    
    case failedToCreateClassifier(Error)
    case failedToWriteClassifier(Error)
    
    case failedToGetChangedImagesList
    
    case failedToReadClassifierData(Error)
    case failedToUploadClassifier
    
    case failedToUploadClassifierClasses
}
